Skip to main content
GET
Find a payment by order

Authorizations

Authorization
string
header
required

Your API key: sk_live_… / sk_test_… (secret), pk_live_… / pk_test_… (publishable, read-only reference data) or rk_live_… / rk_test_… (payments only).

Query Parameters

merchantOrderId
string
required

Your order or invoice number.

Example:

"ORDER-5531"

Response

The newest payment for that order.

reference
string
Example:

"TXN-WRYF6S2W3DQW"

status
enum<string>
Available options:
pending,
processing,
success,
failed,
expired,
cancelled,
reversed
amount
number
fee
number
currency
string
Example:

"MWK"

merchantOrderId
string
failureCode
string | null
createdAt
string<date-time>
completedAt
string<date-time> | null
subMerchantAccountCode
string | null

Set when the payment was collected for a sub-merchant.

subMerchantName
string | null
aggregatorFee
number | null

The fee you keep as the aggregator.